$(document).ready(function(){
        
        $('select[name=id_module]').change(function() {
                
                var target = base_url + 'sistema/modulos/consulta_secoes_ajax'
                var data = {
                                //id_module: $(this).chosen().val()
                                id_module: $(this).val()
                }
                
                // consulta os campos do evento e cria a opção de seleção               
                request = $.ajax({
                        url: target,
                        dataType: 'json',
                        type: 'POST',
                        data: data,
                        success: function(result)
                        {
                                if(result.show == true)
                                {                                       
                                        $('#field-id_section').parent('div').html(result.html)
                                        $(".chosen-select").select2({width: '100%',allowClear: true})
                                }
                                if(result.show == false)
                                {                                       
                                        $('#field-id_section').parent('div').html(result.html)
                                }
                                else if(result.error)
                                {
                                        alert(result.error)
                                }
                        },
                        error: function(error)
                        {
                                alert(error)
                        }                               
                })      
        })   
})